body > .keyboard {
    opacity: 0;
    pointer-events: none;
    width: 100vw;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 111111;
    transform: translateY(100%);
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    background: #EEEEEE;
    padding-top: 1.5rem;
    padding-bottom: 2rem;
}

body > .keyboard.open {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
}

body > .keyboard .close {
    position: absolute;
    top: 1rem;
    right: 1.3rem;
    font-size: 2.4rem;
    color: #444;
}

body > .keyboard .value-display {
    height: 2.6rem;
    font-size: 2.6rem;
    text-align: center;
    margin-bottom: 1.5rem;
}


body > .keyboard .keyboard-row {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem 0;
}

body > .keyboard .keyboard-row > .key {
    display: flex;
    justify-content: center;
    font-family: monospace;
    font-weight: 100;
    color: #515151;
    align-items: center;
    padding: 0.9rem 1.4rem;
    margin: 0 0.5rem;
    font-size: 1.6rem;
    border-radius: 50%;
    background: linear-gradient(145deg, #f0f0f0, #ffffff);
    box-shadow: 6px 6px 11px -1px rgba(209, 205, 199, .5), -6px -6px 16px 0 rgba(255, 255, 255, .5), -1px -1px 0px 1px rgb(255 255 255 / 97%);
    cursor: pointer;
}

body > .keyboard .keyboard-row > .key.backspace {
    border-radius: 20px;
    padding-left: 16px;
}

body > .keyboard .keyboard-row > .key.submit {
    background: linear-gradient(145deg, hsl(228 79% 72% / 1), hsl(228 79% 57% / 1));
    color: white;
    border-radius: 20px;
}

body > .keyboard .keyboard-row > .key:focus-visible {
    outline: none;
}